Uploaded image for project: 'SwitchYard'
  1. SwitchYard
  2. SWITCHYARD-2968

Wizard for a new SY project displays a confusing version 'switchyard.runtime 2.0'

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 2.1.0, tools-2.2.0
    • Fix Version/s: tools-2.3.0
    • Component/s: tooling
    • Labels:
    • Environment:

      Switchyard Tooling 2.2.0.CR1-v20161020-1601-B51 (RHDS-IS 10.0.0.CR1)
      Switchyard Tooling 2.1.0.Final-v20160930-0822-B38 (JBDS-IS 9.0.2.GA)
      Mac Mini OS X 10.11 (El Capitan)

    • Steps to Reproduce:
      1. Add a fuse server 6.2.1/6.3.0 with switchyard (on karaf or eap)
      2. Open the wizard for a new SY project
      3. Check the displayed version
    • Workaround Description:
      1. Select the runtime '<None>'
      2. Select any version
      3. Select the runtime back to the server
      4. Now, the version is displayed correctly

      Description

      Wizard for a new SY project displays a confusing version 'switchyard.runtime 2.0'. Note that the functionality works well, e.g. the pom.xml is generated with correct version.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  bfitzpat Brian Fitzpatrick
                  Reporter:
                  apodhrad Andrej Podhradsky
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  2 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: